Subject: Re: [v6ops] [dnsext] draft-rafiee-cga-tsig-00 - call for more comments

From: "Rafiee, Hosnieh" <[email-masked]>
Date: Tue, 9 Oct 2012 13:13:32 +0200

More ideas and comments would be greatly apprecitated as I want to upload a new version of my draft RFC in which I will incorporate applicable comments.

-----Original Message-----
From: Rafiee, Hosnieh 
Sent: Thursday, October 04, 2012 9:28 AM
To: 'Mark Andrews'
Cc: [email-masked]
Subject: RE: [dnsext] draft-rafiee-cga-tsig-00 - request for comments

Thank you,
I will change it and move the whole CGA-TSIG DATA inside the Other DATA.

-----Original Message-----
From: Mark Andrews [mailto:[email-masked]] 
Sent: Thursday, October 04, 2012 9:15 AM
To: Rafiee, Hosnieh
Cc: [email-masked]
Subject: Re: [dnsext] draft-rafiee-cga-tsig-00 - request for comments

In message <[email-masked]>, "Rafiee, Hosnieh" writes:
> Hello Mark,
> Thank you for your comment. Yes can be,=20 But the reason is  the TSIG 
> parsers need to be adapted with this new algori= thm and it is not 
> different whether to put it in Other DATA or after Other = DATA field. 
> Because Other Data has variable length too like the CGA-TSIG DA= TA.
> If I missed something please advise.

It is different.  Examine the behaviour of CGA-TSIG client talking to a non CGA-TSIG aware server.  The response to using a unknown algorithm should be BADKEY not FORMERR because the server couldn't parse the TSIG record.

Mark

> Thank you.
> Hosnieh
> -----Original Message-----
> From: Mark Andrews [mailto:[email-masked]]=20
> Sent: Thursday, October 04, 2012 8:45 AM
> To: Rafiee, Hosnieh
> Cc: [email-masked]
> Subject: Re: [dnsext] draft-rafiee-cga-tsig-00 - request for comments
> 
> 
> Why are the CGA parameters not part of other data?  That field was 
> added to=  TSIG to hold stuff similar to CGA parameters.  By making it 
> a seperate fie= ld you break all existing TSIG parsers.  The CGA 
> parameters could just be d= efined to be the initial part of other data.
> 
> --
> Mark Andrews, ISC
> 1 Seymour St., Dundas Valley, NSW 2117, Australia
> PHONE: +61 2 9871 4742                 INTERNET: [email-masked]
--
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]